My Project: dComplemtaritySolver::dFrictionLessContactJoint Class Reference

My Project

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
dComplemtaritySolver::dFrictionLessContactJoint Class Reference

`#include <dLinearAlgebra.h>`

Inheritance diagram for dComplemtaritySolver::dFrictionLessContactJoint:

## Public Member Functions

| dFrictionLessContactJoint ()
virtual | ~dFrictionLessContactJoint ()
void | SetContacts (int count, dContact *const contacts, dFloat restitution)
Public Member Functions inherited from dComplemtaritySolver::dBilateralJoint
| dBilateralJoint ()
virtual | ~dBilateralJoint ()
virtual void | Init (dBodyState *const state0, dBodyState *const state1)

## Protected Member Functions

void | UpdateSolverForces (const dJacobianPair *const jacobians) const
int | ReduceContacts (int count, dContact *const contacts, dFloat tol)
void | JacobianDerivative (dParamInfo *const constraintParams)
void | JointAccelerations (dJointAccelerationDecriptor *const params)
Protected Member Functions inherited from dComplemtaritySolver::dBilateralJoint
void | InitPointParam (dPointDerivativeParam &param, const dVector &pivot) const
void | AddAngularRowJacobian (dParamInfo *const constraintParams, const dVector &dir, dFloat jointAngle)
void | AddLinearRowJacobian (dParamInfo *const constraintParams, const dVector &pivot, const dVector &dir)
void | AddAngularRowJacobian (dParamInfo *const constraintParams, const dVector &dir0, const dVector &dir1, dFloat ratio)
void | CalculatePointDerivative (dParamInfo *const constraintParams, const dVector &dir, const dPointDerivativeParam &param)

## Static Protected Member Functions

static int | CompareContact (const dContact *const contactA, const dContact *const contactB, void *dommy)

## Protected Attributes

dContact | m_contacts [D_MAX_PRAM_INFO_SIZE]
dFloat | m_restitution
int | m_count
Protected Attributes inherited from dComplemtaritySolver::dBilateralJoint
dFloat | m_motorAcceleration [D_MAX_PRAM_INFO_SIZE]
dFloat | m_jointFeebackForce [D_MAX_PRAM_INFO_SIZE]
int | m_rowIsMotor [D_MAX_PRAM_INFO_SIZE]
dBodyState * | m_state0
dBodyState * | m_state1
int | m_start
int | m_count

## Constructor & Destructor Documentation

## § dFrictionLessContactJoint()

dComplemtaritySolver::dFrictionLessContactJoint::dFrictionLessContactJoint | ( |  | ) |

inline

## § ~dFrictionLessContactJoint()

virtual dComplemtaritySolver::dFrictionLessContactJoint::~dFrictionLessContactJoint | ( |  | ) |

inlinevirtual

## Member Function Documentation

## § CompareContact()

int dComplemtaritySolver::dFrictionLessContactJoint::CompareContact | ( | const dContact *const | contactA,
|  | const dContact *const | contactB,
|  | void * | dommy
| ) |  |

inlinestaticprotected

## § JacobianDerivative()

void dComplemtaritySolver::dFrictionLessContactJoint::JacobianDerivative | ( | dParamInfo *const | constraintParams | ) |

protectedvirtual

Implements dComplemtaritySolver::dBilateralJoint.

## § JointAccelerations()

void dComplemtaritySolver::dFrictionLessContactJoint::JointAccelerations | ( | dJointAccelerationDecriptor *const | params | ) |

protectedvirtual

Reimplemented from dComplemtaritySolver::dBilateralJoint.

## § ReduceContacts()

int dComplemtaritySolver::dFrictionLessContactJoint::ReduceContacts | ( | int | count,
|  | dContact *const | contacts,
|  | dFloat | tol
| ) |  |

protected

## § SetContacts()

void dComplemtaritySolver::dFrictionLessContactJoint::SetContacts | ( | int | count,
|  | dContact *const | contacts,
|  | dFloat | restitution
| ) |  |

## § UpdateSolverForces()

void dComplemtaritySolver::dFrictionLessContactJoint::UpdateSolverForces | ( | const dJacobianPair *const | jacobians | ) | const

inlineprotectedvirtual

Implements dComplemtaritySolver::dBilateralJoint.

## Member Data Documentation

## § m_contacts

dContact dComplemtaritySolver::dFrictionLessContactJoint::m_contacts[D_MAX_PRAM_INFO_SIZE]

protected

## § m_count

int dComplemtaritySolver::dFrictionLessContactJoint::m_count

protected

## § m_restitution

dFloat dComplemtaritySolver::dFrictionLessContactJoint::m_restitution

protected

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/packages/dMath/dLinearAlgebra.h
- dynamics.mod/NewtonDynamics/packages/dMath/dLinearAlgebra.cpp